@import url("https://cdnjs.cloudflare.com/ajax/libs/modern-normalize/3.0.1/modern-normalize.min.css");
@import url("https://fonts.googleapis.com/css2?family=Google+Sans:ital,opsz,wght@0,17..18,400..700;1,17..18,400..700&display=swap");

:root {
  --bg-color-1: #080c16;
  --bg-color-2: #0a101d;
  --bg-color-3: #1f2937;
  --text-main: #7588a3;
  --text-titles: #f1f5f9;
  --text-details: #3c83f6;
  --bg-gradient: linear-gradient(135deg, #3c83f6, #9947eb);
  --font-base: "Google Sans", sans-serif;
  --spacing-unit: 8px;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
  font-family: var(--font-base);
  color: var(--text-main);
  background-color: var(--bg-color-1);
}

.hidden {
  display: none !important;
}

.simple_box {
  border: 1px var(--bg-color-3) solid;
  border-radius: 10px;
  padding: 25px;
  display: flex;
  flex-direction: column;
  gap: 15px;
  background-color: var(--bg-color-2);
}

.simple_box h1 {
  color: var(--text-titles);
  font-size: 1.125rem;
  padding: 0;
  margin: 0;
}

.simple_box p {
  padding: 0;
  margin: 0;
}

.simple_box ul.tags {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 8px;
}

.simple_box ul.tags li {
  background-color: var(--bg-color-3);
  padding: 0.275rem 0.75rem;
  font-size: 0.75rem;
  border-radius: 1rem;
}

.simple_box ul.tags li.bold {
  font-weight: 600;
}

.simple_box ul.tags li.uc {
  text-transform: uppercase;
}

.simple_box ul.tags li.blue {
  background-color: hsl(217 91% 60% / 0.15);
  color: #3c83f6;
}

.simple_box ul.tags li.purple {
  background-color: hsl(270 80% 60% / 0.15);
  color: #9947eb;
}

section > h1 {
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
  background-image: var(--bg-gradient);
  margin: 0;
  padding: 0;
  font-size: 2rem;
  text-align: center;
}

section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 2rem;
  padding: 0 2rem;
  margin: auto;
  max-width: 72rem;
}

.welcome {
  height: 100dvh;
  max-width: 40rem;
  gap: 0.2rem;
  text-align: center;
}

.welcome h1 {
  font-size: 4.5rem;
  line-height: 3.8rem;
}

.welcome h2 {
  font-size: 1.5rem;
  font-weight: 100;
}

.welcome h3 {
  text-transform: uppercase;
  font-weight: 100;
  font-size: 0.9rem;
  letter-spacing: 0.3rem;
  color: var(--text-details);
}

.welcome .buttons {
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: center;
}

.welcome .buttons a {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  padding: 1rem 1.5rem;
  border: 1px var(--bg-color-3) solid;
  border-radius: 10px;
  background-color: var(--bg-color-2);
  color: var(--text-titles);
  text-decoration: none;
}

.welcome .buttons a:first-of-type {
  color: var(--bg-color-1);
  font-weight: 600;
  background-image: var(--bg-gradient);
}

.skills {
  padding-bottom: 10rem;
}

.skill-boxes {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 2rem;
}

.skills svg {
  color: var(--text-details);
}

.projects-boxes {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
}

.projects p {
  font-size: 0.9rem;
}

.projects a {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  color: var(--text-details);
  text-decoration: none;
}

footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 0.9rem;
  padding: 3rem 2rem;
  font-size: 0.8rem;
  margin: auto;
  margin-top: 5rem;
  width: 100%;
  border-top: 1px solid var(--bg-color-3);
}

footer .links {
  display: flex;
  gap: 1.5rem;
  color: var(--text-main);
}

footer .links a {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  text-decoration: none;
  color: var(--text-main);
  font-size: 0.9rem;
}

footer .localization {
  display: flex;
  align-items: center;
  gap: 0.4rem;
}

@media screen and (max-width: 768px) {
  .skill-boxes,
  .projects-boxes {
    grid-template-columns: 1fr;
  }
}
